commit:     9503ffb687573854a7d7ea6ecdd728de3993d8e5
Author:     Hans de Graaff <graaff <AT> gentoo <DOT> org>
AuthorDate: Sat Sep  3 08:53:59 2016 +0000
Commit:     Hans de Graaff <graaff <AT> gentoo <DOT> org>
CommitDate: Sun Sep  4 05:57:03 2016 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=9503ffb6

dev-ruby/railties: fix installation of binwrapper

Package-Manager: portage-2.2.28

 dev-ruby/railties/railties-5.0.0.1-r1.ebuild | 79 ++++++++++++++++++++++++++++
 1 file changed, 79 insertions(+)

diff --git a/dev-ruby/railties/railties-5.0.0.1-r1.ebuild 
b/dev-ruby/railties/railties-5.0.0.1-r1.ebuild
new file mode 100644
index 00000000..c65d0ae
--- /dev/null
+++ b/dev-ruby/railties/railties-5.0.0.1-r1.ebuild
@@ -0,0 +1,79 @@
+# Copyright 1999-2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+USE_RUBY="ruby22 ruby23"
+
+RUBY_FAKEGEM_TASK_TEST="test:regular"
+RUBY_FAKEGEM_TASK_DOC=""
+RUBY_FAKEGEM_EXTRADOC="CHANGELOG.md README.rdoc"
+
+RUBY_FAKEGEM_GEMSPEC="railties.gemspec"
+
+RUBY_FAKEGEM_BINWRAP=""
+RUBY_FAKEGEM_EXTRAINSTALL="exe"
+
+inherit ruby-fakegem versionator
+
+DESCRIPTION="Tools for creating, working with, and running Rails applications"
+HOMEPAGE="https://github.com/rails/rails";
+SRC_URI="https://github.com/rails/rails/archive/v${PV}.tar.gz -> 
rails-${PV}.tgz"
+
+LICENSE="MIT"
+SLOT="$(get_version_component_range 1-2)"
+KEYWORDS="~amd64 ~arm ~amd64-linux"
+IUSE=""
+
+RUBY_S="rails-${PV}/${PN}"
+
+# The test suite has many failures, most likely due to a mismatch in
+# exact dependencies or environment specifics. Needs further
+# investigation.
+RESTRICT="test"
+
+RDEPEND+=">=app-eselect/eselect-rails-0.22"
+
+ruby_add_rdepend "
+       ~dev-ruby/activesupport-${PV}
+       ~dev-ruby/actionpack-${PV}
+       >=dev-ruby/thor-0.18.1
+       >=dev-ruby/rake-0.8.7
+       dev-ruby/method_source
+"
+
+ruby_add_bdepend "
+       test? (
+               ~dev-ruby/actionview-${PV}
+               dev-ruby/mocha:0.14
+       )"
+
+all_ruby_prepare() {
+       rm "${S}/../Gemfile" || die "Unable to remove Gemfile"
+       sed -i -e '/load_paths/d' test/abstract_unit.rb || die "Unable to 
remove load paths"
+       sed -i -e '1igem "minitest", "~>4.0"' test/abstract_unit.rb || die
+
+       # Also allow rdoc 4.x
+       sed -i -e 's/~> 3.4/>= 3.4/' ${RUBY_FAKEGEM_GEMSPEC} || die
+
+       # Also install rails in bin to let our binwrapper work
+       mkdir bin || die
+       cp -f exe/rails bin/ || die
+}
+
+all_ruby_install() {
+       all_fakegem_install
+
+       ruby_fakegem_binwrapper rails rails-${PV}
+}
+
+pkg_postinst() {
+       elog "To select between slots of rails, use:"
+       elog "\teselect rails"
+
+       eselect rails update
+}
+
+pkg_postrm() {
+       eselect rails update
+}

Reply via email to